Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Interface PluginObject

All Known Subinterfaces:
  PluginAction, PluginActionData, PluginData, PluginDone, PluginEvent, PluginStart, PluginStart2, PluginTemplateNode

public interface PluginObject
extends org.xml.sax.ContentHandler, java.io.Serializable

Interface to allow plugins to load data in XML format.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `PluginData`

Method Summary
`void` | `load(org.xml.sax.XMLReader parser)` Notifies a plugin supplied object to prepare to load its data from an XML template definition.

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### load

    public void load(org.xml.sax.XMLReader parser)

  Notifies a plugin supplied object to prepare to load its data from an XML template definition. The plugin framework calls this method when it encounters a plugin-supplied section (i.e., a `plugin-data` element) in an XML document such as a template, template definition, or plugin configuration document.

  When this method is called the framework has already set the plugin as the parser's content handler. The next call to the content handler will be `startElement` for the `plugin-data` element itself, and the last will be `endElement` for the `plugin-data`. The content handler uses the intervening SAX notifications to store the plugin-specific data.

  Parameters:
    `parser` - The plugin can save this value if it needs to use multiple content handlers while parsing its data. It would achieve this by calling `setContentHandler` on the `parser` object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)